%global maj 0

Summary:        A lightweight C library for working with RDF data
Name:           serd
Version:        0.30.16
Release:        3%{?dist}
License:        ISC
URL:            https://drobilla.net/software/%{name}.html
Source0:        https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson glib2-devel doxygen graphviz
BuildRequires:  python3 python3-sphinx

%description
Serd is a lightweight C library for working with RDF data.
Serd can be used by high-performance or resource-limited applications to
read or write Turtle, TriG, NTriples, and NQuads. The included serdi tool
can be used to efficiently process RDF documents in scripts or on the command-line.


%package devel
Summary:        Development libraries and headers for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the headers and development libraries for %{name}.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

rm %{buildroot}%{_docdir}/%{name}-%{maj}/{html,singlehtml}/.buildinfo
install -d %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_docdir}/%{name}-%{maj} %{buildroot}%{_docdir}/%{name}


%check
%meson_test


%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/serdi
%{_libdir}/lib%{name}-%{maj}.so.%{maj}*
%doc %{_mandir}/man1/serdi.1*


%files devel
%doc %{_docdir}/%{name}/%{name}-%{maj}/
%{_libdir}/lib%{name}-%{maj}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/%{name}-%{maj}/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30.16-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30.16-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 rockerzhu <rockerzhu@tencent.com> - 0.30.16-1
- Initial build.
